<?xml version="1.0" encoding="Win-1251"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<include src="window.xml"/>
	<include src="scrollHTML.xml"/>
	<composition _name="CHelpWin" _class="CBaseWindow" visible="false" userEvents="onToolsHelp" depth="-200" x="29" y="16">
		<!-- HTML Element -->
		<composition name="content" class="CScrollHTML">
			<browser name="scrollHTML" width="730" height="460" x="3" y="22" src="blank.html" userEvents="onHtmlLoad, onSetMode, onSetReportInfo" depth="-100">
				<script event="onDocumentComplete"><![CDATA[
					if( Event.url.indexOf("blank")==-1)
						this.fireEvent( "onHtmlLoad");
				]]></script>
			</browser>
		</composition>
		<script>
			this.sHelpPath = "";
			this.htmlBlank = true;
			this.htmlLoaded = false;
			this.htmlLoading = false;
		</script>
		<script event="content.scrollHTML.onHtmlLoad"><![CDATA[
			this.htmlLoaded = true;
			this.htmlLoading = false;
			if (!this.htmlBlank && this.onAfterHtmlLoad != null)
			{
				this.onAfterHtmlLoad();
				this.onAfterHtmlLoad = null;
			}
			this.content.scrollHTML.initScroller();
			this.show();
		]]></script>
		<!-- Help window functions -->
		<script><![CDATA[
			if( typeof(Player.UI)!="undefined" &&
				typeof(Player.UI.tools)!="undefined" &&
				typeof(Player.UI.tools.cmHelp)!="undefined")
			{
				Player.UI.tools.cmHelp.eventOwner = this;
				Player.UI.tools.cmHelp.eventName = "onToolsHelp";
			}
			this.resize(750, 500);
			this.setTitle( "Помощь");
		]]></script>
		<!-- User press HELP button on UI toolbar-->
		<script event="onToolsHelp"><![CDATA[
			if( this.sHelpPath == "")
			{
				trace("#FF0000 Error! this.sHelpPath == ");
				exit();
			}
			if( this.htmlLoading)	exit();
			if( this.htmlLoaded)
			{
				this.show();
				exit();
			}
			this.htmlLoading = true;
			this.content.loadHTML( this.sHelpPath, this.getHeight() - 2, this.getWidth() - 6, true);
		]]></script>
	</composition>
</rmml>
